Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Authorization Reversals


This section describes how to process an authorization reversal.

Reversing an authorization releases the hold on the customer's payment card funds that the issuing bank placed when processing the authorization.

Supported processor: Fiserv RapidConnect

Endpoints

The {id} is the transaction ID returned in the authorization response.

POST /pts/v2/payments/{id}/reversals

POST /pts/v2/payments/{id}/reversals

Example

{    "clientReferenceInformation": {        "code": "TC_GSAP_AR_BASIC-2",        "reconciliationId": "000000050000777"    },    "reversalInformation": {        "amountDetails": {            "currency": "USD",            "totalAmount": "10"        }    }}
{    "submitTimeUtc": "2025-03-12T17:54:37Z",    "processorInformation": {        "approvalCode": "OK1272",        "responseCode": "000"    },    "consumerAuthenticationResponse": {        "systemTraceAuditNumber": "500044"    },    "orderInformation": {        "amountDetails": {            "authorizedAmount": "10.00"        }    },    "message": "Successful transaction.",    "clientReferenceInformation": {        "code": "123456789010"    },    "reconciliationId": "000000050000777",    "id": "7418020779133232235535",    "status": "REVERSED"}
FieldDescription
clientReferenceInformation.code—
clientReferenceInformation.reconciliationId—
reversalInformation.amountDetails.currency—
reversalInformation.amountDetails.totalAmount—

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.